package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.BrandZone;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandZoneDao extends BaseMapper<BrandZone> {
    Integer searchZoneCountByBrandId(String brandId);

    List<BrandZone> searchQuicklyStatistics(@Param("ins") List<String> ins);

    List<String> selectIns();

    Integer selectTierCountByBrandIdAndCode(@Param("brandId") String brandId, @Param("code") String code);
}
